#ifndef __KDEVPART_FILESELECTOR_H__
#define __KDEVPART_FILESELECTOR_H__

#include <kdevplugin.h>

#include <kdialogbase.h>
#include <tdefileitem.h>

#include <tqguardedptr.h>

class KDevFileSelector;
class KDialogBase;

class FileSelectorPart : public KDevPlugin
{
    Q_OBJECT
  
public:
    FileSelectorPart(TQObject *parent, const char *name, const TQStringList &);
    virtual ~FileSelectorPart();

    TDEAction *newFileAction() const { return m_newFileAction; }

public slots:
//  void showTip();
//  void showOnStart();
//  void refresh();
    void newFile();
    void fileSelected(const KFileItem *file);

private slots:
    void slotProjectOpened();
    void slotConfigWidget( KDialogBase * );

private:
    TQGuardedPtr<KDevFileSelector> m_filetree;
    TDEAction *m_newFileAction;
};


#endif
